% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cdf_sniper.R
\name{cdf.sniper}
\alias{cdf.sniper}
\title{Removal of probes from a Chip Definition File (CDF).}
\usage{
cdf.sniper(cdf.file, clean.probes, min.probeset.size = 3, keep.affx = TRUE,
  newline = "\\n", cluster = NULL)
}
\arguments{
\item{cdf.file}{The CDF which is to be manipulated. This can also be a connection (or URL, anything that is readable by utils::read.table).}

\item{clean.probes}{A whitelist of probe coordinates to be retained.}

\item{min.probeset.size}{The minimum number of probes in a probset.
If fewer than this number remain after probe removal, the entire probset will be discarded.}

\item{keep.affx}{A logical flag indicating whether the AFFX control probes should be retained.}

\item{newline}{It may be necessary to change this on non-UNIX-like operating systems.}

\item{cluster}{An object of class 'cluster' as provided by the package 'parallel'. If this is provided, the
computationally expensive part of the code can be distributed over multiple CPUs.}
}
\value{
A string containing the CDF text. It is intended that this is written
to a file using \code{\link[base]{write}}.
}
\description{
\code{cdf.sniper} rebuilds a CDF using only whitelisted probes.
}
\details{
Write some text here about the format of the CDF, where these can be obtained
including links. The format of the whitelist should also be detailed (as
returned by \code{\link[CDFSnipeR]{remove.probes}}).
}
\examples{

\dontrun{
newProbes <- remove.probes(oldProbes, snpPositions)
newCdf <- cdf.sniper(oldCdf, newProbes$FilteredProbes)
write(newCdf, file="newCdf.cdf")
}

}
