% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/remove_probes.R
\name{remove.probes}
\alias{remove.probes}
\title{Removal of probes from a probe list.}
\usage{
remove.probes(probes, features, probe.length = 25)
}
\arguments{
\item{probes}{A data frame containing probe sequence information.}

\item{features}{A data frame containing genomic coordinates of undesired
features.
This should be in a BED-like format with the first three columns containing
the chromosome (with or without the 'chr'), the start position (in
nucleotides) and the end position (the same as the start in the case of SNPs).}

\item{probe.length}{A number specifying the length of the probes on the chip. This is 25 by default.}
}
\value{
A list containing the following components:
FilteredProbes: A character vector of the whitelisted probes (i.e. those not
containing
the features defined in the BED file).
ProbeCounts: a matrix with one row for each probeset and two columns
containing the numbers of probes in each probeset both before (OldProbes) and
after (CleanProbes) probe removal.
RemovedProbes: A character vector of the removed probes (those containing
the features defined in the BED file).
}
\description{
\code{remove.probes} removes probes containing undesired features from a CDF.
}
\examples{

\dontrun{
whitelist <- remove.probes(testProbes, testfeatures)
newCdf <- cdf.sniper(cdf, whitelist)
write(newCdf, file="newCdf_deSNP.cdf")
}

}
